package com.fs.qw.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.qw.domain.QwWorkUser;

import java.util.List;

/**
 * 企微获客添加的用户Mapper接口
 *
 * @author fs
 * @date 2025-01-10
 */
public interface QwWorkUserMapper extends BaseMapper<QwWorkUser> {
    /**
     * 查询企微获客添加的用户
     *
     * @param id 企微获客添加的用户主键
     * @return 企微获客添加的用户
     */
    public QwWorkUser selectQwWorkUserById(Long id);

    /**
     * 查询企微获客添加的用户列表
     *
     * @param qwWorkUser 企微获客添加的用户
     * @return 企微获客添加的用户集合
     */
    public List<QwWorkUser> selectQwWorkUserList(QwWorkUser qwWorkUser);

    /**
     * 新增企微获客添加的用户
     *
     * @param qwWorkUser 企微获客添加的用户
     * @return 结果
     */
    public int insertQwWorkUser(QwWorkUser qwWorkUser);

    /**
     * 修改企微获客添加的用户
     *
     * @param qwWorkUser 企微获客添加的用户
     * @return 结果
     */
    public int updateQwWorkUser(QwWorkUser qwWorkUser);

    /**
     * 删除企微获客添加的用户
     *
     * @param id 企微获客添加的用户主键
     * @return 结果
     */
    public int deleteQwWorkUserById(Long id);

    /**
     * 批量删除企微获客添加的用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwWorkUserByIds(Long[] ids);
}
